%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: keasycd
Summary: A CD recording front-end.
Version: 0.1.8
Release: 12
Serial: 1
Source: ftp://ftp.de.kde.org/pub/kde/unstable/apps/multimedia/cdrom/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport mkisofs cdrecord cdparanoia
BuildPrereq: kdelibs-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KeasyCD is a CD recording front-end for cdrecord, cdda2wav, cdparanoia
and mkisofs.  KeasyCD supports CD-Extra, Multisession, MixedMode CD,
on the fly, and drag and drop.

%prep
%setup -q -n %{name}
rm config.cache
find . -name .deps |xargs rm -rf

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="${CXX}" CC="${CC}" \
     CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 09 2000 Than Ngo <than@redhat.de>
- fixed dependency problem

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs/kde1

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2
- add rm -rf %%{buildroot} to install section
- fix dependency problem

* Sun Jul 02 2000 Karsten Hopp <karsten@redhat.de>
- changed prefix for kde1
- added bindir to configure

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Tue Feb 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up dependencies (Bug #9015)

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- updated for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
